Bug 1163149 - perl-Fsdb-2.52-1.fc22 FTBFS on Perl bootstrap: groff: command not found
Summary: perl-Fsdb-2.52-1.fc22 FTBFS on Perl bootstrap: groff: command not found
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Fsdb
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: John Heidemann
QA Contact: Fedora Extras Quality Assurance
URL: https://ppisar.fedorapeople.org/perl_...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-12 12:46 UTC by Petr Pisar
Modified: 2014-12-15 20:05 UTC (History)
2 users (show)

Fixed In Version: perl-Fsdb-2.53-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-28 05:09:39 UTC


Attachments (Terms of Use)

Description Petr Pisar 2014-11-12 12:46:44 UTC
perl-Fsdb-2.52-1.fc22 fails to build when bootstrapping Perl:

pod2man lib/Fsdb.pm| groff -man -P-b -Tascii > README
/bin/sh: groff: command not found
[...]
Makefile:2007: recipe for target 'README' failed

This is because the README is regenerated from lib/Fsdb.pm at Makefile.PL:169 but no build-time dependencies on pod2man and groff tools are specified in the spec file.

Please build-require groff-base and perl-podlators packages.

Comment 1 John Heidemann 2014-11-18 01:39:45 UTC
should be fixed in 2.52-2

Comment 2 Fedora Update System 2014-11-18 03:19:33 UTC
perl-Fsdb-2.52-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/perl-Fsdb-2.52-2.fc21

Comment 3 Fedora Update System 2014-11-18 03:20:18 UTC
perl-Fsdb-2.52-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Fsdb-2.52-2.fc20

Comment 4 Fedora Update System 2014-11-18 03:21:23 UTC
perl-Fsdb-2.52-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-Fsdb-2.52-2.el7

Comment 5 Fedora Update System 2014-11-27 19:15:42 UTC
perl-Fsdb-2.53-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-Fsdb-2.53-1.el7

Comment 6 Fedora Update System 2014-12-01 19:07:12 UTC
perl-Fsdb-2.52-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-12-06 10:14:12 UTC
perl-Fsdb-2.52-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-12-15 20:05:12 UTC
perl-Fsdb-2.53-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.